// The mere role of this file is to provide doxygen documentation for some
// GENIE namespaces not documented elsewhere

//____________________________________________________________________________
/*!

\namespace  genie

\brief      \c \b THE MAIN GENIE PROJECT NAMESPACE
*/
//____________________________________________________________________________

//____________________________________________________________________________
/*!

\namespace  genie::geometry

\brief      GENIE geometry drivers
*/
//____________________________________________________________________________

//____________________________________________________________________________
/*!

\namespace  genie::flux

\brief      GENIE flux drivers
*/
//____________________________________________________________________________

//____________________________________________________________________________
/*!

\namespace  genie::exceptions

\brief      GENIE-defined C++ exceptions
*/
//____________________________________________________________________________

//____________________________________________________________________________
/*!

\namespace  genie

\brief      \c \b THE MAIN GENIE PROJECT NAMESPACE
*/
//____________________________________________________________________________


//____________________________________________________________________________
/*!

\namespace  genie::mueloss

\brief      The MuELoss utility package that computes muon energy losses in 
            the energy range from 1 GeV to 10 TeV due to ionization, direct
            e-e+ pair production, bremsstrahlung and photonuclear interactions.
            Very handy in neutrino-induced upgoing-muon calculations.
*/
//____________________________________________________________________________

//____________________________________________________________________________
/*!

\namespace  genie::nuvld

\brief      Contains the NuValidator package for Neutrino Interaction model
            Validation.
*/
//____________________________________________________________________________

//____________________________________________________________________________
/*!

\namespace  genie::nuvld::facades

\brief      Contains C++ interfaces for other neutrino generator, such as 
            NeuGEN, that can be used along the NuValidator package
*/
//____________________________________________________________________________

//____________________________________________________________________________
/*!

\namespace  genie::utils

\brief      Root of GENIE utility namespaces
*/
//____________________________________________________________________________

// provides brief namespace definitions for doxygen
